if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x usr/bin/update-gtk-immodules ]; then
  chroot . /usr/bin/update-gtk-immodules --verbose 1>/dev/null
fi

if [ -e usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
    /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi

( cd usr/lib64 ; rm -rf libibus-1.0.so )
( cd usr/lib64 ; ln -sf libibus-1.0.so.5.0.525 libibus-1.0.so )
( cd usr/lib64 ; rm -rf libibus-1.0.so.5 )
( cd usr/lib64 ; ln -sf libibus-1.0.so.5.0.525 libibus-1.0.so.5 )
